declare const _default: import('vue').DefineComponent<{
    formData: {
        type: ObjectConstructor[];
        default: () => {};
    };
    open: {
        type: BooleanConstructor[];
        default: boolean;
    };
}, {
    formProps: {
        layout: string;
        columns: ({
            label: string;
            field: string;
            component: string;
            componentProps: {
                addonBefore?: undefined;
                addonAfter?: undefined;
                min?: undefined;
                placeholder?: undefined;
            };
            required?: undefined;
        } | {
            label: string;
            field: string;
            required: boolean;
            component: string;
            componentProps: {
                addonBefore: string;
                addonAfter: string;
                min: number;
                placeholder?: undefined;
            };
        } | {
            label: string;
            field: string;
            required: boolean;
            component: string;
            componentProps: {
                placeholder: string;
                addonBefore?: undefined;
                addonAfter?: undefined;
                min?: undefined;
            };
        })[];
    };
    open: import("vue").WritableComputedRef<boolean>;
    formData: import("vue").WritableComputedRef<Record<string, any>>;
    loading: import("vue").Ref<boolean>;
    registerForm: (methods: any) => void;
    handleOk: () => Promise<void>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("handleOk" | "update:open" | "update:formData")[], "handleOk" | "update:open" | "update:formData", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    formData: {
        type: ObjectConstructor[];
        default: () => {};
    };
    open: {
        type: BooleanConstructor[];
        default: boolean;
    };
}>> & {
    onHandleOk?: ((...args: any[]) => any) | undefined;
    "onUpdate:open"?: ((...args: any[]) => any) | undefined;
    "onUpdate:formData"?: ((...args: any[]) => any) | undefined;
}, {
    open: boolean;
    formData: Record<string, any>;
}, {}>;
export default _default;
