export declare function getTableProps(router: any, props: any): {
    columns: ({
        title: string;
        dataIndex: string;
        width: number;
        fixed: string;
        customRender?: undefined;
        hide?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        fixed?: undefined;
        customRender?: undefined;
        hide?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        customRender: ({ record }: {
            record: any;
        }) => import('vue').VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        fixed?: undefined;
        hide?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        fixed: string;
        hide: import('vue').ComputedRef<any>;
        buttons: {
            title: string;
            icon: string;
            props: {
                type: string;
            };
            key: string;
            hide: (record: any) => boolean;
            onClick: (record: any) => void;
        }[];
        customRender?: undefined;
    })[];
    pagination: boolean;
};
