export declare function getLinkAttrForm(props?: any, workflowActions?: any): any;
export declare function getDefaultLinkAttrForm(props?: any, workflowActions?: any): {
    layout: string;
    columns: ({
        label: string;
        field: string;
        component: string;
        componentProps: {
            disabled: boolean;
            onChange?: undefined;
            'auto-size'?: undefined;
        };
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            onChange: (e: any) => void;
            disabled?: undefined;
            'auto-size'?: undefined;
        };
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            'auto-size': {
                minRows: number;
                maxRows: number;
            };
            disabled?: undefined;
            onChange?: undefined;
        };
    })[];
};
