export declare function getCategoryList(): Promise<unknown>;
export declare function getButtonList(): Promise<unknown>;
export declare function getDefaultTabList(): {
    tabAttr: {
        tab: string;
        key: string;
    };
}[];
export declare function getTabList(props?: any): any;
export declare function getNodeProps(params: any): any;
export declare function getFormAttr_base(params: any): {
    rowAttr: {
        gutter: {
            xs: number;
            sm: number;
            md: number;
        };
    };
    baseColAttr: {
        span: number;
    };
    columns: ({
        label: string;
        isDivider: boolean;
        colAttr: {
            span: number;
        };
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        field?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            disabled: boolean;
            dict?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            dict: string;
            disabled?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        colAttr: {
            span: number;
        };
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        isDivider?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        defaultValue: boolean;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        defaultValue: string;
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        hide?: undefined;
        help?: undefined;
    } | {
        label: string;
        isDivider: boolean;
        colAttr: {
            span: number;
        };
        hide: () => boolean;
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        field?: undefined;
        defaultValue?: undefined;
        help?: undefined;
    } | {
        label: string;
        field: string;
        help: string;
        colAttr: {
            span: number;
        };
        hide: () => boolean;
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
        };
        isDivider?: undefined;
        defaultValue?: undefined;
    } | {
        label: string;
        field: string;
        hide: () => boolean;
        component: string;
        componentProps: (formData: any) => {
            options: any;
            fieldNames: {
                label: string;
                value: string;
            };
            onChange: (_value: any, option: any) => void;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
        help?: undefined;
    })[];
};
export declare function getFormAttr_behavior(params: any): {
    rowAttr: {
        gutter: {
            xs: number;
            sm: number;
            md: number;
        };
    };
    baseColAttr: {
        span: number;
    };
    columns: ({
        label: string;
        isDivider: boolean;
        colAttr: {
            span: number;
        };
        component: string;
        componentProps: {
            dict?: undefined;
            options?: undefined;
            fieldNames?: undefined;
            min?: undefined;
            max?: undefined;
        };
        field?: undefined;
        defaultValue?: undefined;
    } | {
        label: string;
        field: string;
        defaultValue: string;
        component: string;
        componentProps: {
            dict: string;
            options?: undefined;
            fieldNames?: undefined;
            min?: undefined;
            max?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        defaultValue: boolean;
        component: string;
        componentProps: {
            dict?: undefined;
            options?: undefined;
            fieldNames?: undefined;
            min?: undefined;
            max?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            options: any;
            fieldNames: {
                label: string;
                value: string;
            };
            dict?: undefined;
            min?: undefined;
            max?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            dict?: undefined;
            options?: undefined;
            fieldNames?: undefined;
            min?: undefined;
            max?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            min: number;
            max: number;
            dict?: undefined;
            options?: undefined;
            fieldNames?: undefined;
        };
        isDivider?: undefined;
        colAttr?: undefined;
        defaultValue?: undefined;
    } | {
        label: string;
        field: string;
        colAttr: {
            span: number;
        };
        component: string;
        componentProps: {
            dict?: undefined;
            options?: undefined;
            fieldNames?: undefined;
            min?: undefined;
            max?: undefined;
        };
        isDivider?: undefined;
        defaultValue?: undefined;
    })[];
};
export declare function getFormAttr_button(params: any): {
    layout: string;
    columns: {
        label: string;
        field: string;
        component: string;
        componentProps: {};
    }[];
};
export declare function getFormAttr_fields(params: any): {
    layout: string;
    baseColAttr: {
        span: number;
    };
    columns: {
        label: string;
        field: string;
        component: string;
        componentProps: {
            dict: string;
        };
    }[];
};
export declare function getFormAttr_event(params: any): {
    layout: string;
    columns: {
        label: string;
        field: string;
        component: string;
        componentProps: {};
    }[];
};
export declare function initDataByApi(this: any): void;
