import { INode, ILink, ITool } from '../../../type/index';
import { PropType } from 'vue';

declare const _default: import('vue').DefineComponent<{
    select: {
        type: PropType<INode | ILink>;
        default: () => {};
    };
    selectGroup: {
        type: PropType<INode[]>;
        default: () => never[];
    };
    config: {
        type: ObjectConstructor;
        default: () => {};
    };
    node: {
        type: PropType<INode>;
        default: () => {};
    };
    plumb: {
        type: ObjectConstructor;
        default: () => {};
    };
    currentTool: {
        type: PropType<ITool>;
        default: () => {};
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:select": (...args: any[]) => void;
    "update:selectGroup": (...args: any[]) => void;
    alignForLine: (...args: any[]) => void;
    updateNodePos: (...args: any[]) => void;
    hideAlignLine: (...args: any[]) => void;
    isMultiple: (...args: any[]) => void;
    showNodeContextMenu: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    select: {
        type: PropType<INode | ILink>;
        default: () => {};
    };
    selectGroup: {
        type: PropType<INode[]>;
        default: () => never[];
    };
    config: {
        type: ObjectConstructor;
        default: () => {};
    };
    node: {
        type: PropType<INode>;
        default: () => {};
    };
    plumb: {
        type: ObjectConstructor;
        default: () => {};
    };
    currentTool: {
        type: PropType<ITool>;
        default: () => {};
    };
}>> & {
    "onUpdate:select"?: ((...args: any[]) => any) | undefined;
    "onUpdate:selectGroup"?: ((...args: any[]) => any) | undefined;
    onAlignForLine?: ((...args: any[]) => any) | undefined;
    onUpdateNodePos?: ((...args: any[]) => any) | undefined;
    onHideAlignLine?: ((...args: any[]) => any) | undefined;
    onIsMultiple?: ((...args: any[]) => any) | undefined;
    onShowNodeContextMenu?: ((...args: any[]) => any) | undefined;
}, {
    select: INode | ILink;
    node: INode;
    selectGroup: INode[];
    config: Record<string, any>;
    plumb: Record<string, any>;
    currentTool: ITool;
}, {}>;
export default _default;
