import { CSSProperties, PropType } from 'vue';
import { ContextMenuItem, Axis } from './typing';

declare const _default: import('vue').DefineComponent<{
    width: {
        type: NumberConstructor;
        default: number;
    };
    customEvent: {
        type: PropType<Event>;
        default: null;
    };
    styles: {
        type: PropType<CSSProperties>;
    };
    axis: {
        type: PropType<Axis>;
        default(): {
            x: number;
            y: number;
        };
    };
    items: {
        type: PropType<ContextMenuItem[]>;
        default(): never[];
    };
}, () => JSX.Element | null, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: NumberConstructor;
        default: number;
    };
    customEvent: {
        type: PropType<Event>;
        default: null;
    };
    styles: {
        type: PropType<CSSProperties>;
    };
    axis: {
        type: PropType<Axis>;
        default(): {
            x: number;
            y: number;
        };
    };
    items: {
        type: PropType<ContextMenuItem[]>;
        default(): never[];
    };
}>>, {
    width: number;
    customEvent: Event;
    axis: Axis;
    items: ContextMenuItem[];
}, {}>;
export default _default;
