declare const _default: import('vue').DefineComponent<{
    hideActions: {
        type: BooleanConstructor[];
        default: boolean;
    };
}, {
    visible: import("vue").Ref<boolean>;
    modalData: import("vue").Ref<{}>;
    getTableData: () => any;
    state: {
        tableQuery: {};
        tableProps: {
            columns: ({
                title: string;
                dataIndex: string;
                width: number;
                fixed: string;
                customRender?: undefined;
                hide?: undefined;
                buttons?: undefined;
            } | {
                title: string;
                dataIndex: string;
                width: number;
                fixed?: undefined;
                customRender?: undefined;
                hide?: undefined;
                buttons?: undefined;
            } | {
                title: string;
                dataIndex: string;
                width: number;
                customRender: ({ record }: {
                    record: any;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>;
                fixed?: undefined;
                hide?: undefined;
                buttons?: undefined;
            } | {
                title: string;
                dataIndex: string;
                width: number;
                fixed: string;
                hide: any;
                buttons: {
                    title: string;
                    icon: string;
                    props: {
                        type: string;
                    };
                    key: string;
                    hide: (record: any) => boolean;
                    onClick: (record: any) => void;
                }[];
                customRender?: undefined;
            })[];
            pagination: boolean;
        };
        formProps: {
            queryForm: boolean;
        };
    };
    registerTable: (methods: any) => void;
}, any, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "register"[], "register", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    hideActions: {
        type: BooleanConstructor[];
        default: boolean;
    };
}>> & {
    onRegister?: ((...args: any[]) => any) | undefined;
}, {
    hideActions: boolean;
}, {}>;
export default _default;
