export declare const categoryList: import('vue').Ref<never[]>;
export declare function getCategoryData(params: any): Promise<any>;
export declare function addOrUpdateWorkflowCategory(params: any): Promise<any>;
export declare function getCategoryForm(): {
    layout: string;
    rowAttr: {
        gutter: {
            xs: number;
            sm: number;
            md: number;
        };
    };
    baseColAttr: {
        span: number;
    };
    columns: ({
        label: string;
        field: string;
        component: string;
        defaultValue?: undefined;
        componentProps?: undefined;
    } | {
        label: string;
        field: string;
        defaultValue: string;
        component: string;
        componentProps: {
            dict: string;
            selectProps: {
                onChange(value: any): void;
            };
            options?: undefined;
            'change-on-select'?: undefined;
            fieldNames?: undefined;
        };
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            options: import('vue').Ref<never[]>;
            'change-on-select': boolean;
            fieldNames: {
                label: string;
                value: string;
            };
            dict?: undefined;
            selectProps?: undefined;
        };
        defaultValue?: undefined;
    })[];
};
