export declare function deleteWorkflowCategoryById(params: any): Promise<any>;
export declare function getTableProps(methods?: any): {
    rowKey: string;
    columns: ({
        title: string;
        dataIndex: string;
        customRender?: undefined;
        width?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        customRender: ({ record }: {
            record: any;
        }) => any;
        width?: undefined;
        fixed?: undefined;
        buttons?: undefined;
    } | {
        title: string;
        dataIndex: string;
        width: number;
        fixed: string;
        buttons: ({
            title: string;
            icon: string;
            props: {
                type: string;
                danger?: undefined;
            };
            key: string;
            onClick: (record: any) => void;
        } | {
            title: string;
            icon: string;
            props: {
                danger: boolean;
                type?: undefined;
            };
            key: string;
            onClick: (record: any) => Promise<void>;
        })[];
        customRender?: undefined;
    })[];
};
export declare function getFormProps(): {
    formProps: {
        columns: ({
            field: string;
            label: string;
            defaultValue?: undefined;
            component?: undefined;
            componentProps?: undefined;
        } | {
            label: string;
            field: string;
            defaultValue: string;
            component: string;
            componentProps: {
                dict: string;
                selectProps: {
                    allowClear: boolean;
                };
            };
        })[];
    };
};
