import { SelectValue } from 'ant-design-vue/lib/select';

export declare function getTableList(): Promise<unknown>;
export declare function getCategoryTree(): Promise<unknown>;
export declare function getFieldList(tableName: SelectValue): Promise<unknown>;
export declare function getFlowAttrForm(props?: any): any;
export declare function getDefaultFlowAttrForm(props?: any): {
    layout: string;
    rowAttr: {
        gutter: {
            xs: number;
            sm: number;
            md: number;
        };
    };
    baseColAttr: {
        span: number;
    };
    columns: ({
        label: string;
        field: string;
        component: string;
        componentProps: {
            disabled: boolean;
            dict?: undefined;
            onChange?: undefined;
        };
        defaultValue?: undefined;
        render?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
            onChange?: undefined;
        };
        defaultValue?: undefined;
        render?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        defaultValue: any;
        componentProps: () => {
            treeData: any;
            placeholder: string;
            'change-on-select': boolean;
            fieldNames: {
                label: string;
                value: string;
                children: string;
            };
        };
        render?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        componentProps: {
            dict: string;
            disabled?: undefined;
            onChange?: undefined;
        };
        defaultValue?: undefined;
        render?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        defaultValue: string;
        component: string;
        componentProps: {
            dict: string;
            onChange: () => void;
            disabled?: undefined;
        };
        render?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        render: (data: {
            workflowType: any;
        }) => import('vue').VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        componentProps?: undefined;
        defaultValue?: undefined;
        hide?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        hide: (data: {
            workflowType: any;
        }) => boolean;
        component: string;
        componentProps: () => {
            options: any;
            fieldNames: {
                label: string;
                value: string;
            };
        };
        defaultValue?: undefined;
        render?: undefined;
        colAttr?: undefined;
    } | {
        label: string;
        field: string;
        component: string;
        colAttr: {
            span: number;
        };
        componentProps: {
            disabled?: undefined;
            dict?: undefined;
            onChange?: undefined;
        };
        defaultValue?: undefined;
        render?: undefined;
        hide?: undefined;
    })[];
};
