import { ITool } from '../../../type/index';
import { PropType } from 'vue';

declare const _default: import('vue').DefineComponent<{
    currentTool: {
        type: PropType<ITool>;
        default: () => {};
    };
    flowData: {
        type: ObjectConstructor;
        default: () => {};
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    clear: (...args: any[]) => void;
    selectTool: (...args: any[]) => void;
    saveFlow: (...args: any[]) => void;
    generateFlowImage: (...args: any[]) => void;
    toggleShowGrid: (...args: any[]) => void;
    setting: (...args: any[]) => void;
    openTest: (...args: any[]) => void;
    shortcutHelper: (...args: any[]) => void;
    uploadFlow: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    currentTool: {
        type: PropType<ITool>;
        default: () => {};
    };
    flowData: {
        type: ObjectConstructor;
        default: () => {};
    };
}>> & {
    onSelectTool?: ((...args: any[]) => any) | undefined;
    onSaveFlow?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    onGenerateFlowImage?: ((...args: any[]) => any) | undefined;
    onToggleShowGrid?: ((...args: any[]) => any) | undefined;
    onSetting?: ((...args: any[]) => any) | undefined;
    onOpenTest?: ((...args: any[]) => any) | undefined;
    onShortcutHelper?: ((...args: any[]) => any) | undefined;
    onUploadFlow?: ((...args: any[]) => any) | undefined;
}, {
    currentTool: ITool;
    flowData: Record<string, any>;
}, {}>;
export default _default;
