import { FunctionPlugin, DefineComponent } from 'vue';

export declare const WORKFLOW = "workflow";
export interface WorkflowConfig {
    token?: String;
    domain?: String;
    apis?: Array<Function>;
    apisMap?: Object;
    dict?: any;
    dictFiledNames?: Object;
    getDictionary?: Function;
    showDictionary?: Function;
    axios?: any;
}
export interface WorkflowPluginsConf {
    install: FunctionPlugin;
    moduleList: Object;
    SanZhiWorkflowActions: DefineComponent;
    updateDictionary: Function;
    setConfig: Function;
    setWorkflowConfig: Function;
    getLocationQuery: Function;
    openWorkflowDesign: Function;
    openWorkflowServiceRender: Function;
    openWorkflowFormRender: Function;
}
